Skip to main content
PUT
/
v1
/
crm
/
merchants
/
{merchantId}
/
pricing-packages
/
{pricingPackageId}
Update a Pricing Package
curl --request PUT \
  --url https://api.example.com/v1/crm/merchants/{merchantId}/pricing-packages/{pricingPackageId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "legacySourceId": 0,
  "createdAt": "<string>",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "<string>",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "template": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "<string>",
    "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updatedAt": "<string>",
    "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "variant": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "modelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

merchantId
string
required
pricingPackageId
string
required

Body

application/json
status
enum<string>
Available options:
active,
inactive

Response

The updated pricing package.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
status
enum<string>
required
Available options:
active,
inactive
entityId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
entityType
enum<string> | null
required
Available options:
lead,
client
templateId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
type
enum<string> | null
required
Available options:
merchant,
partner,
agent
variantId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
legacySourceId
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
createdAt
string
required
createdBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
updatedAt
string
required
updatedBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
template
object
variant
object